
SITETB - Feature #199

Etiqueta automática 6

10/11/2012 06:42 PM - Jorge Luiz da Rocha

Status: Closed Start date: 10/11/2012

Priority: Urgent Due date:  

Assignee: Jorge Luiz da Rocha % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Versão atual Spent time: 0.00 hour

Componente: Casos   

Description

Título: Ausência de cultura de acompanhamento (1º ao 6º mês)

Casos de TBDR que não tenham registro de culturas de acompanhamento do 1º ao 6º mês.

History

#1 - 10/11/2012 06:45 PM - Jorge Luiz da Rocha

Somente para casos de TBDR com forma pulmonar ou ambas com cultura de diagnóstico positiva.

#2 - 10/23/2012 03:35 PM - Maurício Dos Santos

- Tracker changed from Melhoria to Feature

- Status changed from New to Feedback

- Assignee changed from Maurício Dos Santos to Jorge Luiz da Rocha

No dia 24/10 conversaremos sobre essa etiqueta, pori nao entendi com claresa o que é pra ser feito...

#3 - 10/30/2012 09:51 AM - Maurício Dos Santos

Feito. jorge me passou npo escritorio que é somente para os casos a partir do segundo mes e casos em tratamento.

#4 - 10/30/2012 09:53 AM - Maurício Dos Santos

exists(select *

from tbcase c

inner join examculture ec on ec.case_id = c.id

where c.state in (1,2)

and c.id not in (select ca.id

from tbcase ca

inner join examculture ecu on ecu.case_id = ca.id

where ecu.datecollected > (ca.iniTreatmentDate+30)

and ecu.datecollected < (ca.iniTreatmentDate+180))

and c.id = a.id)

#5 - 10/30/2012 10:13 AM - Maurício Dos Santos

exists(select *

from tbcase c

inner join examculture ec on ec.case_id = c.id

where c.state in (1,2)

and c.classification in (1)

and c.id not in (select ca.id

from tbcase ca
inner join examculture ecu on ecu.case_id = ca.id

where ecu.datecollected > (ca.iniTreatmentDate+30)

and ecu.datecollected < (ca.iniTreatmentDate+180))

and c.id = a.id)

#6 - 12/05/2012 09:24 AM - Maurício Dos Santos

- Status changed from Feedback to Closed

#7 - 02/07/2013 05:11 PM - Maurício Dos Santos

- Status changed from Closed to In Progress

classification in (1)

and a.state in (1,2)

and a.infectionSite in (0,2)

and exists (select *

from examculture ec

where ec.case_id = a.id

and ec.dateCollected = (select min(dateCollected) from examculture ec2 where ec2.case_id = ec.case_id)

and ec.result in (1,2,3,4,5))

and not exists(select *

from examculture ecu

where ecu.case_id = a.id

and ecu.datecollected > (DATE_ADD(a.iniTreatmentDate, INTERVAL 30 DAY))

and ecu.datecollected < (DATE_ADD(a.iniTreatmentDate, INTERVAL 180 DAY)))

#8 - 02/07/2013 06:02 PM - Maurício Dos Santos

- Status changed from In Progress to Closed
